=== debian/changelog ===
gprolog (1.4.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with gcc 6 on i386, workaround the FTBFS by using
    --disable-regs on i386. (Closes: #852008)

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Feb 2017 12:30:08 +0200

gprolog (1.4.5-4) unstable; urgency=medium

  * lintian-motivated fixes:
    - new manpage (bad whatis entry)
    - correct source URL in copyright file
    - don't install COPYING file
  * fix several uninitialized variable warnings (in src/ subdirs)
  * don't generate Win32 files

 -- Salvador Abreu <spa@debian.org>  Sun, 11 Dec 2016 00:16:43 +0000

gprolog (1.4.5-3) unstable; urgency=medium

  * clean up alternatives and links after remove (postinst), to keep
    piuparts happy.
  * build from source on amd64 should now work; reported by Didier Raboud
    (closes: #643143).
  * only use explicit gcc-5 as compiler on i386, other architectures fall
    back to gcc.

 -- Salvador Abreu <spa@debian.org>  Fri, 09 Dec 2016 16:23:46 +0000

gprolog (1.4.5-2) unstable; urgency=medium

  * Bug fix: "Debian changelog uncompressed", reported by Aaron M. Ucko -
    manually compress changelog and others (closes: #847413).
  * Temporarily exclude mips and mipsel from the target architectures,
    until the old back-end is ported (it's no longer in upstream).
  * Fall back to using gcc 5 because gcc 6 (now current) bombs on i386 for
    src/EnginePl/machine.c
  * Adjust "configure" flags to suit i386 as well.
  * Disable call to mallopt() in machine.c

 -- Salvador Abreu <spa@debian.org>  Thu, 08 Dec 2016 16:59:50 +0000

gprolog (1.4.5-1) unstable; urgency=medium

  * Initial git-based package overhaul: now forked from the GNU Prolog git
    repo which, at this time, is (unstable) version 1.4.5.
    (closes: #661739, #705740, #618280).
  * Much simplified patches, we're basically sticking to upstream now,
    dropped the "watermark" code from 1.3.0.
  * Bug fix: don't compress examples, reported by Andrew Shadura 
    (closes: #674576).
  * Bug fix: "manpage refers to non-existing documentation file", reported
    by Michael Stapelberg (closes: #671924).
  * Bug fix: "GNU Prolog Docs should be in section Programming/Prolog",
    thanks to Ralf Treinen (closes: #505670).
  * Integrate NMU fixes (closes: #846516).
  * relocate all executables into /usr/lib/gprolog/bin/ and provide
    aliases via update-alternatives(1)
  * put includes in /usr/lib/gprolog/include/ and link back to
    /usr/include/gprolog/ (also via update-alternatives(1))

 -- Salvador Abreu <spa@debian.org>  Wed, 07 Dec 2016 00:48:21 +0000
