=== debian/control ===
Source: gprolog
Section: devel
Priority: optional
Maintainer: Salvador Abreu <spa@debian.org>
Build-Depends: debhelper (>= 9), autoconf (>= 2.52), autotools-dev
Build-Depends-Indep: imagemagick, gsfonts, texlive-latex-recommended,
 texlive-latex-extra, texlive-font-utils, hevea (>= 1.09)
Standards-Version: 3.9.8
Homepage: http://www.gprolog.org/
# Vcs-Git: https://anonscm.debian.org/collab-maint/gprolog.git
# Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gprolog.git

Package: gprolog
Architecture: i386 amd64 sparc sparc64 alpha powerpc powerpcspe
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD).  GNU Prolog is largely compliant with the ISO
 standard and is part of the Prolog Commons initiative.
 .
 This package contains the compiler and runtime system for the ISO
 standard version of GNU Prolog, including the prototype modules
 implementation.

Package: gprolog-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Conflicts: gprolog (<< 1.2.7)
Recommends: xpdf | pdf-viewer, w3m | www-browser
Description: documentation for the GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD).
 .
 This package contains the documentation (PDF and HTML) for GNU
 Prolog.
