## gprolog 1.4.5.0

=== debian/changelog ===
gprolog (1.4.5.0-3) unstable; urgency=medium

  * Make a note that doc/copyright.tex is auto-generated - Bug fix:
    "FTBFS: dpkg-buildpackage: error: dpkg-source -b . subprocess returned
    exit status 2", reported by Lucas Nussbaum (Closes: #952270).  File
    doc/copyright.tex is auto-generated even though it's in the original
    source.
  * Allow for compilation with GCC 10: pass -fcommon flag.
  * Added Multi-Arch: foreign to gprolog-doc.

 -- Salvador Abreu <spa@debian.org>  Sun, 23 Feb 2020 20:14:50 +0000

gprolog (1.4.5.0-2) unstable; urgency=medium

  * Update to current policy (4.4.0)
  * Source-only upload (thanks to Julian Gilbey <jdg@debian.org> for
    pointing that out...)
  * Bug fix: "please add dependency “Suggests: gprolog-doc”", thanks to
    Ben Finney (Closes: #849601).

 -- Salvador Abreu <spa@debian.org>  Sun, 22 Sep 2019 01:42:45 +0100

gprolog (1.4.5.0-1) unstable; urgency=medium

  * reverted to master branch (not module) (Closes: #861027)
  * backed out of git packaging (at least temporarily)
  * introduced an extra .0 version to enable the correct .orig.tar.gz to
    be used.

 -- Salvador Abreu <spa@debian.org>  Mon, 11 Mar 2019 01:26:42 +0000
