=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), autoconf (>= 2.52), autotools-dev
 Build-Depends-Indep: imagemagick, gsfonts, texlive-latex-recommended,
  texlive-latex-extra, texlive-font-utils, hevea (>= 1.09)
-Standards-Version: 3.9.8
+Standards-Version: 4.4.0
 Homepage: http://www.gprolog.org/
 # Vcs-Git: https://anonscm.debian.org/collab-maint/gprolog.git
 # Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gprolog.git
@@ -13,6 +13,7 @@
 Package: gprolog
 Architecture: i386 amd64 sparc sparc64 alpha powerpc powerpcspe
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: gprolog-doc
 Description: GNU Prolog compiler
  GNU Prolog is a free Prolog compiler with constraint solving over
  finite domains (FD).  GNU Prolog is largely compliant with the ISO
@@ -24,10 +25,11 @@
 
 Package: gprolog-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Conflicts: gprolog (<< 1.2.7)
-Recommends: xpdf | pdf-viewer, w3m | www-browser
+Recommends: pdf-viewer, www-browser
 Description: documentation for the GNU Prolog compiler
  GNU Prolog is a free Prolog compiler with constraint solving over
  finite domains (FD).
