=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,11 @@
 BINDIR = /usr/lib/$(PACKAGE)/bin
 DOCDIR = /usr/share/doc/$(PACKAGE)-doc
 
+GCCV = $(shell gcc -dumpversion)
+COMMONFLAG = "-fcommon"
+
 SRCDIR=src
-DBGFLAGS=-g -O3 -fomit-frame-pointer -no-pie
+DBGFLAGS=-g -O3 -fomit-frame-pointer -no-pie $(COMMONFLAG)
 BCFLAGS=-funsigned-char
 export LDFLAGS=-no-pie
 
@@ -135,6 +138,8 @@
 	find $(SRCDIR) -name \*.wam | xargs touch
 # -- clean up docs ------------------------------------------------------------
 	make -C doc clean-all distclean
+	[ -e doc/copyright-stored.tex ] && \
+		cp doc/copyright-stored.tex doc/copyright.tex || true
 # -- clean up examples --------------------------------------------------------
 	ls -d examples/Examples* | while read DIR; do	\
 	  if [ -f $$DIR/Makefile ]; then		\
@@ -234,6 +239,3 @@
 	dh_fixperms -a
 #	dh_makeshlibs -a
 	for CTLFILE in postinst prerm; do			\
-	  ( echo "# -- Prolog variant ---------";		\
-	    echo LIB=/usr/lib/gprolog;				\
-	    echo "# ---------------------------" )		\
