## gprolog 1.5.0

=== debian/changelog ===
gprolog (1.5.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Tille ]
  * New upstream version
  * Maintain in Debian team on Salsa
  * debhelper-compat=13
  * Standards-Version: 4.7.3 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Drop use of autotools-dev debhelper.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Build-Depends: latexmk
  * Fix Build issues with gcc-15
    Closes: #1096760
  * d/control: Remove unknown build architecture powerpcspe
  * d/source/include-binaries: Removed

  [ Patrice Duroux ]
  * Add watch file
    Closes: #1036468
  * Add debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Mon, 02 Mar 2026 15:18:47 +0100
