=== debian/control ===
Source: gprolog
Standards-Version: 4.7.3
Maintainer: Salvador Abreu <spa@debian.org>
Section: devel
Build-Depends:
 debhelper-compat (= 13),
 latexmk,
Build-Depends-Indep:
 imagemagick,
 gsfonts,
 texlive-latex-recommended,
 texlive-latex-extra,
 texlive-font-utils,
 hevea,
Vcs-Browser: https://salsa.debian.org/debian/gprolog
Vcs-Git: https://salsa.debian.org/debian/gprolog.git
Homepage: http://www.gprolog.org/

Package: gprolog
Architecture: i386 amd64 sparc sparc64 alpha powerpc
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 gprolog-doc,
Description: GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD).  GNU Prolog is largely compliant with the ISO
 standard and is part of the Prolog Commons initiative.
 .
 This package contains the compiler and runtime system for the ISO
 standard version of GNU Prolog, including the prototype modules
 implementation.

Package: gprolog-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 pdf-viewer,
 www-browser,
Description: documentation for the GNU Prolog compiler
 GNU Prolog is a free Prolog compiler with constraint solving over
 finite domains (FD).
 .
 This package contains the documentation (PDF and HTML) for GNU
 Prolog.
