=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # /usr/share/doc/debhelper/examples/rules.multi, with the following header:
 # =============================================================================
 #
-# Sample debian/rules that uses debhelper. 
+# Sample debian/rules that uses debhelper.
 # This file is public domain software, originally written by Joey Hess.
 #
 
@@ -53,8 +53,8 @@
 	--without-links							\
 	--disable-ebp							\
 	$(REGS)								\
-	--with-c-flags="$(DBGFLAGS) $(BCFLAGS) -Wall $(CPPFLAGS)"
-
+	--with-c-flags="$(DBGFLAGS) $(BCFLAGS) -Wall $(CPPFLAGS)	\
+	-std=gnu89"
 
 INSTALLDIRS =								\
 	INSTALL_DIR=$(CURDIR)/debian/$(PACKAGE)$(LIBDIR)		\
@@ -82,13 +82,13 @@
 config:
 	dh_testdir
 # -----------------------------------------------------------------------------
-	( PATH=${PATH};							     \
-	  if [ ! -f $(SRCDIR)/Makefile -o				     \
-	       ! -f $(SRCDIR)/configure -o				     \
-	       $(SRCDIR)/Makefile.in -nt $(SRCDIR)/Makefile ]; then	     \
-	    cd $(SRCDIR);						     \
-	    [ -f ./configure ] || autoconf;				     \
-	    CC=$(CC) CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); fi )
+	( PATH=${PATH};							 \
+	 if [ ! -f $(SRCDIR)/Makefile -o				 \
+	 ! -f $(SRCDIR)/configure -o				 \
+	 $(SRCDIR)/Makefile.in -nt $(SRCDIR)/Makefile ]; then	 \
+	 cd $(SRCDIR);						 \
+	 [ -f ./configure ] || autoconf;				 \
+	 CC=$(CC) CPPFLAGS="${CPPFLAGS}" ./configure $(CONFOPTIONS); fi )
 # -----------------------------------------------------------------------------
 	touch stamp-config
 
@@ -127,9 +127,9 @@
 	set -e; PATH=${PATH} make -C $(SRCDIR) distclean
 # -- now, get rid of some more generated files --------------------------------
 	set -e;								\
-	  find -name Makefile -o -name configure |			\
-	    while read FILE; do						\
-	      if [ -f "$$FILE.in" ]; then rm -f "$$FILE"; fi; done
+	 find -name Makefile -o -name configure |			\
+	 while read FILE; do						\
+	 if [ -f "$$FILE.in" ]; then rm -f "$$FILE"; fi; done
 	find src -name VERSION | xargs -r rm -f
 	rm -rf $(SRCDIR)/autom4te.cache
 	rm -f $(SRCDIR)/EnginePl/gprolog_cst.h
@@ -138,13 +138,13 @@
 	find $(SRCDIR) -name \*.wam | xargs touch
 # -- clean up docs ------------------------------------------------------------
 	make -C doc clean-all distclean
-	[ -e doc/copyright-stored.tex ] && \
-		cp doc/copyright-stored.tex doc/copyright.tex || true
+#	[ -e doc/copyright-stored.tex ] && \
+#		cp doc/copyright-stored.tex doc/copyright.tex || true
 # -- clean up examples --------------------------------------------------------
 	ls -d examples/Examples* | while read DIR; do	\
-	  if [ -f $$DIR/Makefile ]; then		\
-	    make -C "$$DIR" clean;			\
-	  fi;						\
+	 if [ -f $$DIR/Makefile ]; then		\
+	 make -C "$$DIR" clean;			\
+	 fi;						\
 	done
 # -----------------------------------------------------------------------------
 	dh_clean
@@ -165,10 +165,10 @@
 # -- Install manpages ---------------------------------------------------------
 	mkdir -p debian/$(PACKAGE)/usr/share/man/man1/
 	cat debian/manpage.1 |						 \
-	  sed -e "s/@PACKAGE@/$(PACKAGE)/g" |				 \
-	  gzip -9 > debian/$(PACKAGE)/usr/share/man/man1/$(PACKAGE).1.gz
+	 sed -e "s/@PACKAGE@/$(PACKAGE)/g" |				 \
+	 gzip -9 > debian/$(PACKAGE)/usr/share/man/man1/$(PACKAGE).1.gz
 	for CMD in gplc hexgplc; do					\
-	  ln -sf $(PACKAGE).1.gz					\
+	 ln -sf $(PACKAGE).1.gz					\
 		 debian/$(PACKAGE)/usr/share/man/man1/$$CMD.1.gz;	\
 	done
 # -- Install auxiliary stuff --------------------------------------------------
@@ -194,7 +194,7 @@
 	dh_installdirs -A
 # -- commands to install the package into the staging area --------------------
 	make -C $(SRCDIR) $(INSTALLDIRS) \
-	  install-doc install-html install-examples
+	 install-doc install-html install-examples
 # -- remove stray PDFs --------------------------------------------------------
 	find debian/$(PACKAGE)-doc -name compil-scheme.pdf\* | xargs -r rm -f
 	find debian/$(PACKAGE)-doc -name debug-box.pdf\* | xargs -r rm -f
@@ -239,3 +239,4 @@
 	dh_fixperms -a
 #	dh_makeshlibs -a
 	for CTLFILE in postinst prerm; do			\
+	 ( echo "# -- Prolog variant ---------";		\
